Subject: Re: bug#52103: guix pull: guix-manual.drv' failed with exit code 1, In procedure copy-file: Permission denied

From: Christopher Baines <[email-masked]>
Date: Fri, 17 Dec 2021 11:24:01 +0000

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> Ah yes, that looks like a problem: “doc”, which is taken straight from
>>> the checkout, normally does not contain *.LANG.texi; those files are not
>>> checked in.
>>>
>>> Could it be that ~/.cache/guix/checkouts contains a non-pristine
>>> checkout of Guix with that extra file?
>>
>> That looks like the issue.
>
> Ah, good to know.
>
> [...]
>
>> That outputs 259 other files as well. Maybe it's worth running git clean
>> on the cache directory, or only pulling files in from the cache
>> directory if they're tracked by git.
>
> (guix git) does a hard reset in ‘switch-to-ref’, which is normally
> enough as long as the user doesn’t manually fiddle with the checkout.
>
> Should we add something there?

I don't know enough about these Git operations, but I guess that's
probably fine if things happen normally. I do wonder if it's possible to
get in to states where there are some untracked files left around if
operations are cancelled or stop part way though.